الانتقال إلى المحتوى الرئيسي
POST
/
image
/
upscale
/api/v1/image/upscale
curl --request POST \
  --url https://api.venice.ai/api/v1/image/upscale \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "enhance": true,
  "enhanceCreativity": 0.5,
  "enhancePrompt": "gold",
  "image": "iVBORw0KGgoAAAANSUhEUgAAAgAAAAIACAIAAAB7GkOtAAAAIGNIUk0A...",
  "scale": 2
}
'
import requests

url = "https://api.venice.ai/api/v1/image/upscale"

payload = {
"enhance": True,
"enhanceCreativity": 0.5,
"enhancePrompt": "gold",
"image": "iVBORw0KGgoAAAANSUhEUgAAAgAAAAIACAIAAAB7GkOtAAAAIGNIUk0A...",
"scale": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enhance: true,
enhanceCreativity: 0.5,
enhancePrompt: 'gold',
image: 'iVBORw0KGgoAAAANSUhEUgAAAgAAAAIACAIAAAB7GkOtAAAAIGNIUk0A...',
scale: 2
})
};

fetch('https://api.venice.ai/api/v1/image/upscale', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"<string>"
{
"error": "<string>",
"details": {
"_errors": [],
"field": {
"_errors": [
"Field is required"
]
}
}
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

مجموعة Postman

للمزيد من الأمثلة، يرجى مراجعة مجموعة Postman هذه.

التفويضات

Authorization
string
header
مطلوب

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

الجسم

Upscale or enhance an image based on the supplied parameters. Using a scale of 1 with enhance enabled will only run the enhancer.

image
مطلوب

The image to upscale. Can be either a file upload or a base64-encoded string. Image dimensions must be at least 65536 pixels and final dimensions after scaling must not exceed 16777216 pixels. File size must be less than 25MB.

enhance
افتراضي:false

Whether to enhance the image using Venice's image engine during upscaling. Must be true if scale is 1.

مثال:

true

enhanceCreativity
number | null
افتراضي:0.5

Higher values let the enhancement AI change the image more. Setting this to 1 effectively creates an entirely new image.

النطاق المطلوب: 0 <= x <= 1
مثال:

0.5

enhancePrompt
string

The text to image style to apply during prompt enhancement. Does best with short descriptive prompts, like gold, marble or angry, menacing.

Maximum string length: 1500
مثال:

"gold"

replication
number | null
افتراضي:0.35

How strongly lines and noise in the base image are preserved. Higher values are noisier but less plastic/AI "generated"/hallucinated. Must be between 0 and 1.

النطاق المطلوب: 0 <= x <= 1
مثال:

0.35

scale
number
افتراضي:2

The scale factor for upscaling the image. Must be a number between 1 and 4. Scale of 1 requires enhance to be set true and will only run the enhancer. Scale must be > 1 if enhance is false. A scale of 4 with large images will result in the scale being dynamically set to ensure the final image stays within the maximum size limits.

النطاق المطلوب: 1 <= x <= 4
مثال:

2

الاستجابة

OK

The response is of type file.